Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.lang
Class EvaluationContext

    java.lang.Object
      javax.el.ELContext
          org.apache.el.lang.EvaluationContext

    public final class EvaluationContext

extends javax.el.ELContext

Constructor Summary
`EvaluationContext(javax.el.ELContext elContext, javax.el.FunctionMapper fnMapper, javax.el.VariableMapper varMapper)`

Method Summary
`java.lang.Object` | `getContext(java.lang.Class key)`
`javax.el.ELContext` | `getELContext()`
`javax.el.ELResolver` | `getELResolver()`
`javax.el.FunctionMapper` | `getFunctionMapper()`
`java.util.Locale` | `getLocale()`
`javax.el.VariableMapper` | `getVariableMapper()`
`boolean` | `isPropertyResolved()`
`void` | `putContext(java.lang.Class key, java.lang.Object contextObject)`
`void` | `setLocale(java.util.Locale locale)`
`void` | `setPropertyResolved(boolean resolved)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvaluationContext

    public EvaluationContext(javax.el.ELContext elContext,
                             javax.el.FunctionMapper fnMapper,
                             javax.el.VariableMapper varMapper)

Method Detail

### getELContext

    public javax.el.ELContext getELContext()

### getFunctionMapper

    public javax.el.FunctionMapper getFunctionMapper()

  Specified by:
    `getFunctionMapper` in class `javax.el.ELContext`

### getVariableMapper

    public javax.el.VariableMapper getVariableMapper()

  Specified by:
    `getVariableMapper` in class `javax.el.ELContext`

### getContext

    public java.lang.Object getContext(java.lang.Class key)

  Overrides:
    `getContext` in class `javax.el.ELContext`

### getELResolver

    public javax.el.ELResolver getELResolver()

  Specified by:
    `getELResolver` in class `javax.el.ELContext`

### isPropertyResolved

    public boolean isPropertyResolved()

  Overrides:
    `isPropertyResolved` in class `javax.el.ELContext`

### putContext

    public void putContext(java.lang.Class key,
                           java.lang.Object contextObject)

  Overrides:
    `putContext` in class `javax.el.ELContext`

### setPropertyResolved

    public void setPropertyResolved(boolean resolved)

  Overrides:
    `setPropertyResolved` in class `javax.el.ELContext`

### getLocale

    public java.util.Locale getLocale()

  Overrides:
    `getLocale` in class `javax.el.ELContext`

### setLocale

    public void setLocale(java.util.Locale locale)

  Overrides:
    `setLocale` in class `javax.el.ELContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.